Subject: Re: bug#52956: [PATCH] gnu: darktable: update to 3.8.0

From: Ludovic Courtès <[email-masked]>
Date: Sat, 08 Jan 2022 22:59:23 +0100

Hi John and Alex,

John Kehayias <[email-masked]> skribis:

> Thanks for the update to darktable. However, I noticed in the release notes that darktable now requires Lua 5.4 (we only have 5.3.5). When I tried my own update locally I could see that Lua support, needed for plugins, was disabled at configure due to the missing Lua 5.4 version.
>
> Release notes: https://www.darktable.org/2021/12/darktable-3.8.0-released/
>
> I think it would be best to have the newer Lua version so we don't lose plugin support. Is there a patch for Lua 5.4 for Guix (my quick search didn't fine one)?

Indeed.  I don’t see Lua 5.4 in the patch queue at issues.guix.gnu.org.
Does one of you want to give it a try?

Thanks,
Ludo’.